Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.coding
Class SuperFinalizeCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.AbstractSuperCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.SuperFinalizeCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class SuperFinalizeCheck
extends AbstractSuperCheck

Checks that an overriding finalize() method invokes super.finalize().

Reference: Cleaning up unused objects.

An example of how to configure the check is:

     <module name="SuperFinalize"/>

Author:
  Rick Giles

Constructor Summary
`SuperFinalizeCheck()`

Method Summary
`protected java.lang.String` | `getMethodName()` Returns the name of the overriding method.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.coding.AbstractSuperCheck
`beginTree, getDefaultTokens, leaveToken, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperFinalizeCheck

    public SuperFinalizeCheck()

Method Detail

### getMethodName

    protected java.lang.String getMethodName()

  Description copied from class: `AbstractSuperCheck`
  Returns the name of the overriding method.

  Specified by:
    `getMethodName` in class `AbstractSuperCheck`
  Returns:
    the name of the overriding method.
  See Also:
    `AbstractSuperCheck`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD